Announcement

Collapse
No announcement yet.

RadeonSI Moves A Bit Closer To GLSL 4.00 (OpenGL 4.0)

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • RadeonSI Moves A Bit Closer To GLSL 4.00 (OpenGL 4.0)

    Phoronix: RadeonSI Moves A Bit Closer To GLSL 4.00 (OpenGL 4.0)

    AMD's RadeonSI Gallium3D driver is a bit closer to supporting OpenGL 4.0 via the GLSL 4.00 specification requirements thanks to a new patch set published on Friday by Marek Olk...

    http://www.phoronix.com/vr.php?view=MTcxMzA

  • #2
    So does this only effect 7000 series or does it also include 5000/6000 cards as well?

    Comment


    • #3
      Originally posted by Dukenukemx View Post
      So does this only effect 7000 series or does it also include 5000/6000 cards as well?
      Radeonsi is only for Radeon HD 7000 and newer, so I guess this only affects those generations. Judging from the mailing list only radeonsi driver files are affected, so I believe this will not benefit (at least in the short term) previous generations.

      Comment


      • #4
        Features for AMD tend to go RandonSI -> Two weeks later -> R600/500/etc.

        Comment


        • #5
          Originally posted by ua=42 View Post
          Features for AMD tend to go RandonSI -> Two weeks later -> R600/500/etc.
          Actually, with mesa it tends to be the opposite.

          Comment


          • #6
            Originally posted by RamblingMadMan View Post
            Actually, with mesa it tends to be the opposite.
            Yes, but in this case the feature is for OpenGL 4, which is officially not supported on R700 and lower, it may not happen ever.

            Comment

            Working...
            X